.tab-carousel {
  max-width: 94rem;
  margin: 0 auto;

  position: relative;

  &__scroll-animation {
    position: absolute;
    z-index: 1;
    bottom: 15%;
    right: 10%;
  }

  .vueperslide {
    &__loader {
      z-index: -1;
    }
  }

  .vueperslides {
    display: flex;
    flex-direction: column-reverse;
  }

  img {
    user-select: none;
    pointer-events: none;
  }
}

.tab-slide {
  &__title {
    @include font($primary-font, 1.125rem, var(--primary-font-color));
    text-align: right;
    padding: 1rem;
    display: none;
  }

  &__bullet {
    padding: 2.5rem;
    @include font($primary-font, 1.125rem, var(--primary-font-color));
    display: flex;
    flex-direction: column;
    cursor: pointer;

    &:after {
      content: '';
      @include size(0, 1px);
      transition: width 0.3s ease;
      margin-top: 0.3rem;
    }

    &.active:after {
      width: 100%;
      background-color: var(--primary-font-color);
      transition: width 0.3s ease;
    }
  }
}

// TABLET
@include tablet {
  .tab-slide {
    &__bullet {
      padding: 2rem 0.5rem;
    }
  }
}

// PHONE

@include phone {
  .tab-carousel {
    margin-top: 2.5rem;

    &__scroll-animation {
      bottom: 20%;
    }

    .vueperslides {
      flex-direction: column;
      &__bullets {
        font-size: 0;
      }

      &__bullet {
        margin: 0;
      }
    }
  }
  .tab-slide {
    &__title {
      display: block;
    }
    &__bullet {
      font-size: 0px;
      padding: 0.5rem;

      &:after {
        @include size(0.25rem, 0.25rem);
        margin-top: 0;
        background-color: var(--background-accent-color);
      }

      &.active:after {
        @include size(0.25rem, 0.25rem);
        background-color: var(--fallback-font-color);
      }
    }
  }
}
